<link rel="stylesheet" href="{$ApplicationUrl}includes/styles/stylesheet.css" type="text/css">
<style>
.inputEntries:focus-visible {
  outline: 1px solid #3575DD;
  border-radius: 0.25rem !important;
}

.inputEntries {
    border-radius: 0.25rem !important;
}
</style>
<script src="{$ApplicationUrl}includes/js/jquery.js"></script>
<script>
	$(function() {
		$(document.frmAddonsSystemlogSettings).submit(function(event) {
			var maxentries = Math.abs(parseInt(this.logsize.value));

			if (!maxentries || maxentries != this.logsize.value) {
				alpineAlert('{$lang.Addon_systemlog_Alert_InvalidMaxEntries}');
				this.logsize.select();
				this.logsize.focus();
				event.stopPropagation();
				event.preventDefault();
			}
		});
	});
</script>
<div style="padding:0; margin:0;">
	<form name="frmAddonsSystemlogSettings" method="post" action="{$SettingsUrl}&SubAction=SaveSettings" target="_parent" style="padding:0; margin:0;">
		<table width="100%" cellspacing="0" cellpadding="2" border="0">
			<tr>
				<td class="FieldLabel" style="width:25%; font-size:18px;">
					{$lang.Addon_systemlog_MaxEntries}
				</td>
				<td style="width:30%;">
					<input class="inputEntries" type="text" name="logsize" value="{$logsize}" size="5" maxlength="5" style="line-height: 1.5rem; background-color: rgb(235 243 254 / 1) !important; border: none; padding: 0.25rem 1rem; width:100%;"/>
				</td>
			</tr>
			<tr>
				<td class="FieldLabel" style="width:140px;">&nbsp;</td>
				<td style="text-align: right;">
					<input class="FormButton SubmitButton" style="margin-top:20px; background:#3575dd;padding:10px 20px;color:white;border:none;border-radius:6px;cursor:pointer;" type="submit" value="{$lang.Addon_systemlog_Save}" />
				</td>
			</tr>
		</table>
	</form>
</div>